package it.integry.integrywmsnative.gest.prod_rientro_merce.order_detail.rest.dto;

import java.math.BigDecimal;
import java.util.Date;

public class ImportColliDaProduzioneRequestDTO {

    private String codMart;
    private String codJcom;
    private String partitaMag;
    private BigDecimal pesoLordo;
    private BigDecimal pesoNetto;
    private String codTcol;
    private String fornitore;

    private int colliBancale;
    private BigDecimal qtaCnf;
    private Date dataCollo;

    private Date dataOrd;
    private int numOrd;
    private String codJfas;
    private String gestione;
    private BigDecimal qtaCol;
    private Integer rigaOrd;
    private Integer numRisorse;
    private String annotazioni;

    public String getCodMart() {
        return codMart;
    }

    public ImportColliDaProduzioneRequestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public ImportColliDaProduzioneRequestDTO setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public ImportColliDaProduzioneRequestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getPesoLordo() {
        return pesoLordo;
    }

    public ImportColliDaProduzioneRequestDTO setPesoLordo(BigDecimal pesoLordo) {
        this.pesoLordo = pesoLordo;
        return this;
    }

    public BigDecimal getPesoNetto() {
        return pesoNetto;
    }

    public ImportColliDaProduzioneRequestDTO setPesoNetto(BigDecimal pesoNetto) {
        this.pesoNetto = pesoNetto;
        return this;
    }

    public String getCodTcol() {
        return codTcol;
    }

    public ImportColliDaProduzioneRequestDTO setCodTcol(String codTcol) {
        this.codTcol = codTcol;
        return this;
    }

    public String getFornitore() {
        return fornitore;
    }

    public ImportColliDaProduzioneRequestDTO setFornitore(String fornitore) {
        this.fornitore = fornitore;
        return this;
    }

    public int getColliBancale() {
        return colliBancale;
    }

    public ImportColliDaProduzioneRequestDTO setColliBancale(int colliBancale) {
        this.colliBancale = colliBancale;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public ImportColliDaProduzioneRequestDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public Date getDataCollo() {
        return dataCollo;
    }

    public ImportColliDaProduzioneRequestDTO setDataCollo(Date dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public Date getDataOrd() {
        return dataOrd;
    }

    public ImportColliDaProduzioneRequestDTO setDataOrd(Date dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public int getNumOrd() {
        return numOrd;
    }

    public ImportColliDaProduzioneRequestDTO setNumOrd(int numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public ImportColliDaProduzioneRequestDTO setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public ImportColliDaProduzioneRequestDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public BigDecimal getQtaCol() {
        return qtaCol;
    }

    public ImportColliDaProduzioneRequestDTO setQtaCol(BigDecimal qtaCol) {
        this.qtaCol = qtaCol;
        return this;
    }

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public ImportColliDaProduzioneRequestDTO setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
        return this;
    }

    public Integer getNumRisorse() {
        return numRisorse;
    }

    public ImportColliDaProduzioneRequestDTO setNumRisorse(Integer numRisorse) {
        this.numRisorse = numRisorse;
        return this;
    }

    public String getAnnotazioni() {
        return annotazioni;
    }

    public ImportColliDaProduzioneRequestDTO setAnnotazioni(String annotazioni) {
        this.annotazioni = annotazioni;
        return this;
    }
}
